maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Raphaël Piéroni" <raphaelpier...@gmail.com>
Subject Re: maven-install-plugin :: Cannot override read-only parameter: artifactId ?
Date Tue, 03 Apr 2007 20:44:35 GMT
Hi Jason,

My problem was the usage of properties $(project.version} ${project.groupId}
in the depMan of the parent pom. I now enforce manual resolution.

The depMan defined the modules version and groupId for other modules.

Regards,

Raphaël

2007/4/3, Jason Dillon <jason@planet57.com>:
> I had this working for a while... maybe I changed something in the
> plugin locally... will look at it again, I need this to work for my
> integration test muck.
>
> --jason
>
>
> On Apr 2, 2007, at 7:59 PM, Brian E. Fox wrote:
>
> > Rahul was having this problem with the achetypeNG with groupId, even
> > though the original archetype didn't have this problem. I seem to
> > recall
> > he figured it out, but not the solution.
> >
> > -----Original Message-----
> > From: Jason Dillon [mailto:jason.dillon@gmail.com] On Behalf Of Jason
> > Dillon
> > Sent: Monday, April 02, 2007 8:11 PM
> > To: Maven Developers List
> > Subject: Re: maven-install-plugin :: Cannot override read-only
> > parameter: artifactId ?
> >
> > It was working for me for a while... then it stopped.  I don't know
> > why at all.  This is install:install-file, not install:install, so
> > you are expected to configure the artifactId.  Its not marked as read-
> > only.  But I've not idea why it just started complaining to me about
> > it...
> >
> > :-(
> >
> > --jason
> >
> >
> > On Apr 2, 2007, at 4:44 PM, Brett Porter wrote:
> >
> >> I thought that had always been the case and was a known issue in
> >> the install plugin.
> >>
> >> On 03/04/2007, at 6:32 AM, Jason Dillon wrote:
> >>
> >>> I all of a sudden started to see this today:
> >>>
> >>> <snip>
> >>> [INFO]
> >>> --------------------------------------------------------------------
> >>> -
> >
> >>> ---
> >>> [ERROR] BUILD ERROR
> >>> [INFO]
> >>> --------------------------------------------------------------------
> >>> -
> >
> >>> ---
> >>> [INFO] Error configuring: org.apache.maven.plugins:maven-install-
> >>> plugin. Reason: ERROR: Cannot override read-only parameter:
> >>> artifactId in goal: install:install-file
> >>> </snip>
> >>>
> >>> From what I can tell this is using maven-install-plugin 2.1.
> >>>
> >>> Anyone know whats going on?  I get the same problem with Maven
> >>> 2.0.5 and 2.0.6 :-(
> >>>
> >>> --jason
> >>>
> >>> --------------------------------------------------------------------
> >>> -
> >>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>> For additional commands, e-mail: dev-help@maven.apache.org
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >> For additional commands, e-mail: dev-help@maven.apache.org
> >>
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> > For additional commands, e-mail: dev-help@maven.apache.org
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> > For additional commands, e-mail: dev-help@maven.apache.org
> >
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>
>
Mime
View raw message